Home / API Documentation / Platform management / Users / User binding role / View user and role binding details

View user and role binding details

Requests

HTTP request

GET /apis/auth.alauda.io/v1/userbindings/{name}

read the specified UserBinding

Path parameters

Name Type Required Description
name string Truename of the UserBinding

Query parameters

Name Type Required Description
resourceVersion string FalseWhen specified: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

UserBinding is the Schema for the userbindings API

{
   "apiVersion": "auth.alauda.io/v1",
   "kind": "UserBinding",
   "metadata": {
     "annotations": {
       "auth.cpaas.io/role.display-name": "项目管理员",
       "auth.cpaas.io/user.email": "example@example.com",
       "cpaas.io/updated-at": "2021-06-30T07:37:24Z"
     },
     "creationTimestamp": "2021-06-30T07:37:24Z",
     "generation": 1,
     "labels": {
       "auth.cpaas.io/role.display-name": "2KAEbcqMR",
       "auth.cpaas.io/role.level": "project",
       "auth.cpaas.io/role.name": "project-admin-system",
       "auth.cpaas.io/user.email": "23463b99b62a72f26ed677cc556c44e8",
       "cpaas.io/cluster": "",
       "cpaas.io/namespace": "",
       "cpaas.io/project": "example"
     },
     "name": "76315b6128bf97333edbbfef1e03c995",
     "resourceVersion": "10539942",
     "selfLink": "/apis/auth.alauda.io/v1/userbindings/76315b6128bf97333edbbfef1e03c995",
     "uid": "7c8993b5-51f4-4433-a12f-e22a94d19045"
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters

Other status codes

Status code: 401

Unauthorized